package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclFileUpload;
import com.yd.dal.entity.customer.CustomerFileUpload;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AclFileUploadMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclFileUpload record);

    int insertSelective(AclFileUpload record);

    AclFileUpload selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclFileUpload record);

    int updateByPrimaryKey(AclFileUpload record);

    CustomerFileUpload findByTargetTypeAndTargetUseForAndTargetId(@Param("targetType")Integer targetType, @Param("targetUseFor")Integer targetUseFor, @Param("practitionerId")Long practitionerId);

    List<AclFileUpload> findByAclFileUpload(AclFileUpload fileUpload);

    AclFileUpload findByTargetIdAndRemark(@Param("type")Integer type, @Param("targetId")Long targetId, @Param("remark")String remark);
}